#include <time.h>
#include <iocslib.h>
#include <ctype.h>

int WaitTmKey(int tm)
// 時間指定付きキー待ち
{
time_t ts,t;
int ky;
	ts=clock();
	while (!B_KEYSNS()) {
		t=clock()-ts;
		if ((t/CLK_TCK)>=tm) return(0);
	}
	ky=B_KEYINP()&0xff; // toupperマクロ化対応
	ky=toupper(ky);
	return(ky);
}
